Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.webapp
Class AttributeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.faces.webapp.AttributeTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated. The Faces implementation must now provide the implementation for this class.

    public class AttributeTag

extends javax.servlet.jsp.tagext.TagSupport

Tag implementation that adds an attribute with a specified name and String value to the component whose tag it is nested inside, if the component does not already contain an attribute with the same name. This tag creates no output to the page currently being created.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AttributeTag()` Deprecated.

Method Summary
`int` | `doEndTag()` Deprecated.
`int` | `doStartTag()` Deprecated. Register the specified attribute name and value with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTag` instance, if this `UIComponent` does not already have a value for the specified attribute name.
`void` | `release()` Deprecated. Release references to any acquired resources.
`void` | `setName(String name)` Deprecated. Set the attribute name.
`void` | `setValue(String value)` Deprecated. Set the attribute value.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeTag

    public AttributeTag()

  Deprecated.

Method Detail

### setName

    public void setName(String name)

  Deprecated.

  Set the attribute name.

  Parameters:
    `name` - The new attribute name

### setValue

    public void setValue(String value)

  Deprecated.

  Set the attribute value.

  Parameters:
    `value` - The new attribute value

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated.

  Register the specified attribute name and value with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTag` instance, if this `UIComponent` does not already have a value for the specified attribute name.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP error occurs

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Deprecated.
  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Deprecated.

  Release references to any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.